<?php namespace awp;

class Form extends Module {

    public static function DrawTogleSwitch($item, $option)
    {
        $setting = get_option($item->setting, array());
        $setting = empty($setting) ? array() : $setting;
        $value = array_key_exists($item->key, $setting) ? $setting[$item->key] : $item->default;

        ?>
        <div>
            <h3><?=$item->label?></h3>
            <input type="hidden" name="<?=$item->setting?>[<?=$item->key?>]" value=false />
            <label class="switch">
                <input type="checkbox" value="true" name="<?=$item->setting?>[<?=$item->key?>]" <?=checked($value)?> />
                <span class="slider"></span>
            </label>
            <p><?=$item->description?></p>
        </div>
        <?php
    }

    public static function DrawListArea($item, $option)
    {
        $setting = get_option($item->setting, array());
        $setting = empty($setting) ? array() : $setting;
        $value = array_key_exists($item->key, $setting) ? $setting[$item->key] : $item->default;

        ?>
        <div class="list-area">
            <h3><?=$item->label?></h3>
            <textarea name="<?=$item->setting?>[<?=$item->key?>]"><?=implode("\n", $value)?></textarea>
        </div>
        <?php
    }

    public static function DrawTextArea($item, $option)
    {
        $setting = get_option($item->setting, array());
        $setting = empty($setting) ? array() : $setting;
        $value = array_key_exists($item->key, $setting) ? $setting[$item->key] : $item->default;

        ?>
        <div>
            <h3><?=$item->label?></h3>
            <textarea name="<?=$item->setting?>[<?=$item->key?>]"><?=$value?></textarea>
        </div>
        <?php
    }

    public static function DrawTextInput($item, $option)
    {
        $setting = get_option($item->setting, array());
        $setting = empty($setting) ? array() : $setting;
        $value = array_key_exists($item->key, $setting) ? $setting[$item->key] : $item->default ;

        ?>
        <div>
            <h3><?=$item->label?></h3>
            <input type="text" value="<?=$value?>" name="<?=$item->setting?>[<?=$item->key?>]"  />
        </div>
        <?php
    }

    
    public static function DrawHiddenInput($item, $option)
    {
        $setting = get_option($item->setting, array());
        $setting = empty($setting) ? array() : $setting;
        $value = array_key_exists($item->key, $setting) ? $setting[$item->key] : $item->default ;

        ?>
        <input type="hidden" value="<?=$value?>" name="<?=$item->setting?>[<?=$item->key?>]"  />
        <?php
    }

}


?>